Bug 635219 - Touchpad Turn on/off button not working correclty (kill touchpad) not HAL events, not ACPI events, just "unkown key pressed"
Touchpad Turn on/off button not working correclty (kill touchpad) not HAL eve...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-18 04:10 EDT by Maximiliano Castanon
Modified: 2012-08-16 14:40 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 14:40:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maximiliano Castanon 2010-09-18 04:10:26 EDT
Description of problem:
The key for block/unlock touchpad is not set(HAL,ACPI,setkeycodes), but when i press it, it blocks the touchpad, and i require to suspend, then it back to works.


Version-Release number of selected component (if applicable):
2.6.32.21-166.f12

How reproducible:
always

Steps to Reproduce:
1.press Touchpad button 
2.
3.
  
Actual results:
touchpad button not working correctly

Expected results:
should turn on and off the touchpad... synclient synaptics off 0 or 1 works... but button doesn't

Additional info:


Sep 18 03:26:48 gateway kernel: atkbd.c: Unknown key pressed (translated set 2, code 0xf2 on isa0060/serio0).
Sep 18 03:26:48 gateway kernel: atkbd.c: Use 'setkeycodes e072 <keycode>' to make it known.
Sep 18 03:26:48 gateway kernel: atkbd.c: Unknown key released (translated set 2, code 0xf2 on isa0060/serio0).
Sep 18 03:26:48 gateway kernel: atkbd.c: Use 'setkeycodes e072 <keycode>' to make it known.
Sep 18 03:26:49 gateway kernel: atkbd.c: Unknown key pressed (translated set 2, code 0xf1 on isa0060/serio0).
Sep 18 03:26:49 gateway kernel: atkbd.c: Use 'setkeycodes e071 <keycode>' to make it known.
Sep 18 03:26:49 gateway kernel: atkbd.c: Unknown key released (translated set 2, code 0xf1 on isa0060/serio0).
Sep 18 03:26:49 gateway kernel: atkbd.c: Use 'setkeycodes e071 <keycode>' to make it known.

so, it's impossible the button works by itself...
Comment 1 Maximiliano Castanon 2010-09-19 23:57:41 EDT
Similar problem to mine...
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/374459
Comment 3 Maximiliano Castanon 2010-09-20 00:26:07 EDT
[root@gateway maximi89]# dmidecode |grep -C12 -i mouse
Handle 0x000A, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J33
	Internal Connector Type: None
	External Reference Designator: Keyboard
	External Connector Type: Circular DIN-8 male
	Port Type: Keyboard Port

Handle 0x000B, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J33
	Internal Connector Type: None
	External Reference Designator: PS/2 Mouse
	External Connector Type: Circular DIN-8 male
	Port Type: Keyboard Port
Comment 4 Maximiliano Castanon 2010-09-20 00:36:29 EDT
[root@gateway maximi89]# sudo dmidecode --string system-manufacturer
Gateway        
[root@gateway maximi89]# sudo dmidecode --string system-product-name
NV52 Series 

[root@gateway maximi89]# uname -a
Linux gateway 2.6.32.21-166.fc12.i686.PAE #1 SMP Fri Aug 27 06:33:34 UTC 2010 i686 athlon i386 GNU/Linux
Comment 5 Maximiliano Castanon 2010-09-20 01:13:56 EDT
tailf -f /var/log/messages
....
(II) RADEON(0): EDID for output VGA-0
(II) RADEON(0): EDID for output HDMI-0
(--) SynPS/2 Synaptics TouchPad: touchpad found
(II) AT Translated Set 2 keyboard: Device reopened after 1 attempts.
(II) Macintosh mouse button emulation: Device reopened after 1 attempts.
(II) Video WebCam: Device reopened after 1 attempts.
(II) Sleep Button: Device reopened after 1 attempts.
(II) Power Button: Device reopened after 1 attempts.
(II) Video Bus: Device reopened after 1 attempts.
(II) Power Button: Device reopened after 1 attempts.

two first lines... 
i press the button of touchpad, who are not set, nothing on lshal -m, acpi_listen, udevadm monitor, tailf -f /var/log/Xorg.0.log either messages...

nothing of nothing, but third line said it found a touchpad... so if the button is not doing anything how when i press it, it disable the touchpad?...
Comment 6 Chuck Ebbert 2010-09-20 12:10:23 EDT
And does adding "i8042.nomux=1" to the kernel boot options fix it, as suggested in the upstream kernel bug?
Comment 7 Maximiliano Castanon 2010-09-20 14:02:05 EDT
well, i found a patch from Kernel to i8042

https://patchwork.kernel.org/patch/110046/
(Patch, last activity Dmitry Torokhov - 2010-07-12 16:07:59)

http://kerneltrap.org/mailarchive/linux-kernel/2010/7/1/4588887/thread
Comment 8 Maximiliano Castanon 2010-09-20 14:23:15 EDT
yes, it works, almost 2 suspend tested...  but it have time delays some times, and i detect something, if we have a finger on the touchpad it doesn't unlock it... 


well, about the /var/log/messages, i get:


Sep 20 14:16:28 gateway kernel: atkbd.c: Use 'setkeycodes e071 <keycode>' to make it known.
Sep 20 14:16:29 gateway kernel: psmouse.c: TouchPad at isa0060/serio1/input0 lost synchronization, throwing 5 bytes away.
Sep 20 14:16:30 gateway kernel: atkbd.c: Unknown key pressed (translated set 2, code 0xf2 on isa0060/serio0).
Sep 20 14:16:30 gateway kernel: atkbd.c: Use 'setkeycodes e072 <keycode>' to make it known.
Sep 20 14:16:30 gateway kernel: atkbd.c: Unknown key released (translated set 2, code 0xf2 on isa0060/serio0).
Sep 20 14:16:30 gateway kernel: atkbd.c: Use 'setkeycodes e072 <keycode>' to make it known.
Sep 20 14:16:31 gateway kernel: atkbd.c: Unknown key pressed (translated set 2, code 0xf1 on isa0060/serio0).
Sep 20 14:16:31 gateway kernel: atkbd.c: Use 'setkeycodes e071 <keycode>' to make it known.
Sep 20 14:16:31 gateway kernel: atkbd.c: Unknown key released (translated set 2, code 0xf1 on isa0060/serio0).
Sep 20 14:16:31 gateway kernel: atkbd.c: Use 'setkeycodes e071 <keycode>' to make it known.
Comment 9 Maximiliano Castanon 2010-09-20 14:27:01 EDT
why this are managed by the driver? this could have a lock/unlock function into input.h (kernel keycodes)...
Comment 10 Bug Zapper 2010-11-03 06:02:28 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Maximiliano Castanon 2010-11-18 21:52:04 EST
This is managed by a kernel driver, i8042
i resolv this using "i8042.nomux=1" at kernel boot line.

But this should be fixed by default, with no interaction of the users... because i have to search a lot to get it working, lot of options.

This could be managed by the kernel keycodes, or something what can be managed by the user
Comment 12 Fedora End Of Life 2012-08-16 14:40:10 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.